> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/integracion-de-comercios/servicios/opciones-de-entrega.md).

# Opciones de entrega

Este servicio permite a Fenicio consultar las opciones de entrega disponibles para una orden determinada.

<table data-full-width="false"><thead><tr><th width="113">Método</th><th>URL</th></tr></thead><tbody><tr><td><code>GET</code></td><td><code>https://{ApiURL}/opcionesentrega</code></td></tr></tbody></table>

## Request

El *request* de Fenicio será una variante del objeto [**Orden**](/developers/referencia/modelos-de-datos/integraciones.md#orden), limitado a los datos con los que se cuenta al momento de realizar la consulta.

### Ejemplo <a href="#ejemplo" id="ejemplo"></a>

```json
{
  "_idSolicitud": "200325120000-FNSHPUY-3c7621ed5a707177c1421cce79338668",
  "comprador": {
    "id": 123,
    "codigo": "doc1234567",
    "email": "mail@dominio.com",
    "nombre": "Juan",
    "apellido": "Pérez",
    "telefono": "+59899123456",
    "genero": "M",
    "extras": {
      "programaMillas": "LATAM"
    },
    "documento": {
      "numero": "41234568",
      "pais": "uy",
      "tipo": "DOCUMENTO_IDENTIDAD"
    }
  },
  "tipoEntrega": "ENVIO",
  "direccionEnvio": {
    "latitud": -34.9038373,
    "longitud": -56.1459318,
    "pais": "Uruguay",
    "estado": "Montevideo",
    "localidad": "Montevideo",
    "calle": "La Gaceta",
    "numeroPuerta": "1234",
    "numeroApto": "401",
    "codigoPostal": "11300",
    "observaciones": null
  },
  "servicioEntrega": null,
  "local": null,
  "moneda": "UYU",
  "lineas": [
    {
      "nombre": "Remera Slim Fit",
      "sku": "0000123",
      "cantidad": 2,
      "cantidadRegalo": 0,
      "codigoPrecio": "1",
      "precio": 500,
      "descuentos": [
        {
          "nombre": "Cupon Fin de año",
          "codigo": "123",
          "origen": "CUPON",
          "monto": 250
        }
      ]
    },
    {
      "nombre": "Nombre de articulo",
      "sku": "0000124",
      "cantidad": 1,
      "cantidadRegalo": 1,
      "codigoPrecio": "1",
      "precio": 500,
      "descuentos": [
        {
          "nombre": "50% OFF Fin de año",
          "codigo": "145",
          "origen": "PRODUCTO",
          "monto": 250
        }
      ]
    },
    {
      "nombre": "Costo envío",
      "sku": "ENVIO_100",
      "cantidad": 1,
      "cantidadRegalo": 0,
      "codigoPrecio": "1",
      "precio": 100,
      "descuentos": [
        {
          "nombre": "Envío gratis",
          "codigo": "145",
          "origen": "CUPON",
          "monto": 100
        }
      ]
    }
  ]
}
```

## Response

El servicio debe retornar una lista de objetos de opciones de entrega con los siguientes datos:

<table data-full-width="false"><thead><tr><th width="181.33333333333331">Clave</th><th width="147">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>tipo</code></strong></td><td>String</td><td>Tipo de entrega para la orden. Posibles valores: <strong><code>RETIRO</code></strong>, <strong><code>ENVIO</code></strong>.</td></tr><tr><td><strong><code>codigo</code></strong></td><td>String(64) | null</td><td>Código del servicio de entrega.</td></tr><tr><td><strong><code>disponible</code></strong></td><td>Boolean</td><td>Indica si la opción está disponible.</td></tr><tr><td><strong><code>precioEntrega</code></strong></td><td>Numeric | null</td><td>Precio de la entrega expresado en la moneda de la orden.</td></tr></tbody></table>

### Ejemplo Retiro en Sucursal

```json
{
  "status": "OK",
  "mensaje": null,
  "data": {
    "opcionesEntrega": [
      {
        "tipoEntrega": "RETIRO",
        "codigo": "01",
        "disponible": true,
        "entregaInmediata": true,
        "precioEntrega": 150
      },
      {
        "tipoEntrega": "RETIRO",
        "codigo": "02",
        "disponible": false,
        "entregaInmediata": false,
        "precioEntrega": 200
      },
      {
        "tipoEntrega": "RETIRO",
        "codigo": "03",
        "disponible": true,
        "entregaInmediata": true,
        "precioEntrega": null
      }
    ]
  }
}
```

### Ejemplo Envío a Domicilio

```json
{
  "status": "OK",
  "mensaje": null,
  "data": {
    "opcionesEntrega": [
      {
        "tipoEntrega": "ENVIO",
        "codigo": "ENVIO01",
        "disponible": true,
        "precioEntrega": 500
      },
      {
        "tipoEntrega": "ENVIO",
        "codigo": "ENVIO02",
        "disponible": false,
        "precioEntrega": 250
      },
      {
        "tipoEntrega": "ENVIO",
        "codigo": "ENVIO03",
        "disponible": true,
        "precioEntrega": 0
      }
    ]
  }
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://guia.fenicio.help/developers/integracion-de-comercios/servicios/opciones-de-entrega.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
